/**
 * This file is a visitor that checks TaggedTemplateExpressions and look for Linaria css or styled templates.
 * For each template it makes a list of dependencies, try to evaluate expressions, and if it is not possible, mark them as lazy dependencies.
 */
import type { TaggedTemplateExpression } from '@babel/types';
import type { NodePath } from '@babel/traverse';
import type { State, StrictOptions } from '../types';
import { Core } from '../babel';
export default function CollectDependencies(babel: Core, path: NodePath<TaggedTemplateExpression>, state: State, options: StrictOptions): void;
